package com.fr.plugins.dsgroup;

import com.fr.base.TableData;
import com.fr.design.data.tabledata.tabledatapane.AbstractTableDataPane;
import com.fr.design.fun.ServerTableDataDefineProvider;
import com.fr.design.fun.impl.AbstractTableDataDefineProvider;
import com.fr.general.Inter;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.plugins.dsgroup.fun.DSGroupTableData;
import com.fr.plugins.dsgroup.ui.DSGroupPane;
import com.fr.stable.fun.FunctionHelper;
import com.fr.stable.fun.FunctionProcessor;
import com.fr.stable.fun.impl.AbstractFunctionProcessor;

/**
 * Created by phetran_ye on 2018/9/25.
 */
@FunctionRecorder
public class DSGroupDefine extends AbstractTableDataDefineProvider implements ServerTableDataDefineProvider {

    @Override
    @ExecuteFunctionRecord
    public Class<? extends TableData> classForTableData() {
        //return null;
        return DSGroupTableData.class;
    }

    @Override
    public Class<? extends TableData> classForInitTableData() {
        //return null;
        return DSGroupTableData.class;
    }

    @Override
    public Class<? extends AbstractTableDataPane> appearanceForTableData() {
        return DSGroupPane.class;
    }

    @Override
    public String nameForTableData() {
        return Inter.getLocText("Data_Set_Group");
    }

    @Override
    public String prefixForTableData() {
        return "group";
    }


    @Override
    public String iconPathForTableData() {
        return "/com/fr/plugins/dsgroup/ui/images/query.png";
    }


}
