package com.fr.plugins.dsgroup;

import com.fr.base.BaseUtils;

import com.fr.design.DesignModelAdapter;
import com.fr.design.actions.server.GlobalTableDataAction;
import com.fr.design.data.BasicTableDataTreePane;
import com.fr.design.data.datapane.TableDataPaneController;
import com.fr.design.data.datapane.TableDataPaneListPane;
import com.fr.design.data.datapane.TableDataSourceOP;
import com.fr.design.data.datapane.TableDataTreePane;
import com.fr.design.designer.TargetComponent;
import com.fr.design.fun.impl.AbstractTDPaneProcessor;
import com.fr.design.gui.imenu.UIMenu;
import com.fr.design.mainframe.WestRegionContainerPane;
import com.fr.design.menu.ShortCut;
import com.fr.general.Inter;

import javax.swing.*;
import java.lang.reflect.Field;


/**
 * Created by phetran_ye on 2018/8/8.
 */
public class TableDataPaneProcessorImpl extends AbstractTDPaneProcessor {

    @Override
    public BasicTableDataTreePane createTableDataTreePane(DesignModelAdapter<?, ?> tc) {
        return CustomTableDataTreePane.getInstance(tc);
    }

    @Override
    public TableDataPaneController createServerTableDataPane(DesignModelAdapter<?, ?> tc) {
        return new CustomTableDataPaneListPane();
    }

    @Override
    public ShortCut createServerTDAction() {
        return new GlobalTableDataAction();
    }

   /* @Override
    public int layerIndex() {
        return 3;
    }*/

    @Override
    public int currentAPILevel() {
        return CURRENT_LEVEL;
    }

}
